acl "nodes" {
    185.248.199.9;
    178.62.207.207;
};
options {
    #listen-on { 127.0.0.1; 185.165.185.2; };
    #notify-source 185.179.156.130;
	directory "/var/named";
	dump-file "/var/named/data/cache_dump.db";
	statistics-file "/var/named/data/named_stats.txt";
	memstatistics-file "/var/named/data/named_mem_stats.txt";
	secroots-file "/var/named/data/named.secroots";
	recursing-file "/var/named/data/named.recursing";
	//allow-query { localhost; };
	allow-recursion { localnets; };
	dnssec-enable yes;
	dnssec-validation yes;
	//dnssec-lookaside auto;
	bindkeys-file "/etc/named.root.key";
	managed-keys-directory "/var/named/dynamic";
	pid-file "/run/named/named.pid";
	session-keyfile "/run/named/session.key";
	/* https://fedoraproject.org/wiki/Changes/CryptoPolicy */
	include "/etc/crypto-policies/back-ends/bind.config";
	notify explicit;
	allow-query { any; };
	allow-transfer { "nodes"; };
	allow-notify { "nodes"; };
	notify-to-soa yes;
	also-notify { 185.248.199.9; 178.62.207.207; };
};

logging {
        channel default_debug {
                file "data/named.run";
                severity dynamic;
        };
};

zone "." IN {
	type hint;
	file "named.ca";
};

include "/etc/named.rfc1912.zones";
include "/etc/named.root.key";

